Subject: bug#71670: closed (Re: [PATCH 2/2] bioinformatics: Add python-muon)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jul 2024 14:22:02 +0000

Your bug report

#71670: [PATCH 0/2] bioinformatics: Add python-muon

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71670: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71670
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 2/2] bioinformatics: Add python-muon
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 01 Jul 2024 16:21:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> +(define-public python-muon

Thank you for the patches!  I've applied them with minor changes.
(Commit ddce6b2303dc6064ca50b4fbd53389e50faa115d.)

-- 
Ricardo

Subject: [PATCH 0/2] bioinformatics: Add python-muon
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], Ricardo Wurmus <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Thu, 20 Jun 2024 08:45:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am adding the packages python-muon and python-mofapy2 (as a muon
dependency).

Muon is a multi-omics analysis framework and is part of the scverse.

I had to modify a couple of tests slightly (explained in the comments).

Marco Baggio (2):
  bioinformatics: Add python-mofapy2
  bioinformatics: Add python-muon

 gnu/packages/bioinformatics.scm | 93 +++++++++++++++++++++++++++++++++
 1 file changed, 93 insertions(+)

base-commit: e32e3d0a03dc17c4c54a91aad053c9036998b601
--
2.45.1